#!/bin/bash

#-- license --
PREFIX=""
while [ ${#PREFIX} -lt "1" ]; do
    cat license.txt
    read -s -n1 -p "Accept Terms of License? y/n" PREFIX
    echo
done

if [ $PREFIX = 'y' -o $PREFIX = 'Y' ]; then
    read -p "Install Prefix: [/usr/local] " PREFIX
    echo
    len=${#PREFIX}

    if [ "$len" -lt "1" ]; then
      PREFIX="/usr/local" 
    fi

    install -d $PREFIX/lib/
    cp -R Protocase\ Designer $PREFIX/lib
    install -d $PREFIX/share/Protocase\ Designer/
    cp -R library  $PREFIX/share/Protocase\ Designer/
    
    if [ ! -d "$PREFIX/bin" ]; then
	mkdir $PREFIX/bin
    fi

    if [ ! -d "$PREFIX/share" ]; then
	mkdir $PREFIX/share
    fi

    echo '#/bin/sh' > $PREFIX/bin/ProtocaseDesigner.sh
    echo "install -d  ~/ProtocaseDesigner/" >> $PREFIX/bin/ProtocaseDesigner.sh
    echo "mkdir -p ~/ProtocaseDesigner/UserLibrary" >> $PREFIX/bin/ProtocaseDesigner.sh
    echo "LD_LIBRARY_PATH=${PREFIX}/lib/Protocase\ Designer/:${PREFIX}/lib/Protocase\ Designer/lib/:\$LD_LIBRARY_PATH java -jar ${PREFIX}/lib/Protocase\ Designer/jdesigner.jar >> ~/ProtocaseDesigner/error.log 2>&1" >> $PREFIX/bin/ProtocaseDesigner.sh

    chmod 755 $PREFIX/bin/ProtocaseDesigner.sh

else
    read -s -n1 -p "You must accept the terms of the license to install Protocase Designer."
    echo
fi

